Update a property configuration
PUT
https://api.propexo.com/v1/admin/integrations/:integration_id/properties/:property_configuration_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
integration_id stringrequired
The Propexo unique identifier for the integration
property_configuration_id stringrequired
The ID of the property configuration record.
Request
This endpoint expects an object.
enabledbooleanrequired
Whether or not we should be syncing data for this property on this integration.
trigger_integration_resyncboolean
Triggers a resync of the integration after updating the property. This request will not trigger a new sync if one is already in progress, and no HTTP failure will be returned in this case. If you need clearer feedback, consider the POST v1/admin/integrations/{id}/manual-sync endpoint as an alternative to using this flag.
Default value:
falseResponse
Successful response
results objectrequired
idstringrequired
ID
created_atstringrequired
The date record first entered Propexo
integration_idstringrequired
The Propexo unique identifier for the integration
property_idstringrequired
The Propexo unique identifier for the property
enabledbooleanrequired
Whether the property is enabled and will have data ingested
additional_messagestring
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/admin/integrations/:integration_id/properties/:property_configuration_id
curl -X PUT https://api.propexo.com/v1/admin/integrations/:integration_id/properties/:property_configuration_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"enabled": true
}'
200 Successful response
{
"results": {
"id": "string",
"created_at": "string",
"integration_id": "string",
"property_id": "string",
"enabled": true,
"additional_message": "string"
}
}